### Hierarchy

- DateTimeRelativeComponent

### Implements

- OnChanges

## Index

### Inputs

- batchText
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- batchText
- relativeTime
- relativeTo
- timeRange
- timeToSubtract
- value
- valueChange

### Methods

- ngOnChanges
- onChange

## Constructors

### constructor

- new DateTimeRelativeComponent(): DateTimeRelativeComponent

- #### Returns DateTimeRelativeComponent

## Properties

### batchText

@Input()
batchText: any

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:92

### relativeTime

relativeTime: string = '00:00'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:98

### relativeTo

relativeTo: string = 'YESTERDAY'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:97

### timeRange

timeRange: string = 'MINUTES'

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:96

### timeToSubtract

timeToSubtract: number = 0

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:95

### value

@Input()
value: any[] = null

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:91

### valueChange

@Output()
valueChange: EventEmitter<[Date, Date, RelativeRange]> = ...

- Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:93

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:100

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### onChange

- onChange(): void

- - Defined in packages/angular/src/date-time-picker/date-time-relative.component.ts:115

  #### Returns void

Generated using TypeDoc